PrefabFiles = {
	"yasha",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/yasha.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/yasha.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/yasha.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/yasha.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/yasha.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/yasha.xml" ),

    Asset( "IMAGE", "bigportraits/yasha.tex" ),
    Asset( "ATLAS", "bigportraits/yasha.xml" ),
	
	Asset( "IMAGE", "images/map_icons/yasha.tex" ),
	Asset( "ATLAS", "images/map_icons/yasha.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_yasha.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_yasha.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_yasha.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_yasha.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.yasha = "The Sergeant Hammer"
STRINGS.CHARACTER_NAMES.yasha = "Yasha"
STRINGS.CHARACTER_DESCRIPTIONS.yasha = "*Resistant to cold and heat.\n*Favorite things from the beginning\n*A great fighter"
STRINGS.CHARACTER_QUOTES.yasha = "\"I'm not afraid of anything!\""

-- Custom speech strings
STRINGS.CHARACTERS.YASHA = require "speech_yasha"

-- The character's name as appears in-game 
STRINGS.NAMES.YASHA= "Yasha"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.YASHA = 
{
	GENERIC = "hOI Yasha!",
	ATTACKER = "That Yasha looks shifty...",
	MURDERER = "MONSTER!",
	REVIVER = "Yasha, friend of ghosts.",
	GHOST = "Yasha could use a heart.",
}


AddMinimapAtlas("images/map_icons/yasha.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("yasha", "FEMALE")

